Menu

Googlemaps Plugin

July 17th, 2013

Googlemaps PluginPlugin for displaying one or more Google Maps within content-items, modules or components of Joomla 1.5.x (native), 2.5.x and 3.x.

A SECURITY RELEASE 3.1 of plugin Google Maps is released and this must be applied to your Joomla installation.
Also a security release 2.19 for all websites that still use Google Maps API version 2.

The proxy solution (plugin_googlemap3_proxy.php) for kml files has the following vulnerabilities: Denial of Service, XML Injection, Cross-Site Scripting and Full path disclosure vulnerabilities

In this version the proxy solution is not possible anymore. I am working on a new secure solution.

This version will automatically update in 2.5 and 3.x.
If you want to upgrade from version 2.x then:
1. Install the new version 3.1. This is a new plugin, it does not replace the version 2.x plugin!
2. Do not open the plugin configuration! First you need to enable the new system plugin called “System – Google Map” in the list of plugins by clicking the red dot in the status column. This is the only way to copy all your parameters from the old plugin to the new one!
3. After enabling the plugin in the correct way (point 2) you can check if the settings of the old plugin are copied correctly by opening the new plugin configuration settings.
4. After that you can disable the old system plugin called “Google Map”

This is a version that only support google maps api version 3! Version 2 is deprecated from November 2013 so we need to migrate.

Also added language support for all the parameters: English, French, Italian, Spanish and Swedish.
Please send me language files so I can add them to the plugin. Goto my website to contact me.

Look at the demo site first for documentation. If you’ve problems please do the checklist on the site: http://tech.reumer.net/Google-Maps/Documentation-of-plugin-Googlemap/checklist-placing-plugin-in-article.html

If this doesn’t help or you have questions or new wishes please fill in the form on my website with an url that shows the problem and version of the plugin and Joomla.

Usage:
{mosmap width=’500’|height=’400’|lat=’52.052312’|lon=’4.447141’|
zoom=’3’|mapType=’Satellite’|text=’svDWO’|tooltip=’DWO’|marker=’1’|align=’center’ }
(when editing article goto html view to remove returns or < br /> when you copy this example)